// CFESShop - [2020-04-13 11:57:46]
#ifndef _CFESSHOP_H_
#define _CFESSHOP_H_

#include "common.h"
#include "CFEScreen.h"

/*
001534F8 CFESShop::CFESShop()
0013184A CFESShop::~CFESShop()
00131130 CFESShop::Init()
00131164 CFESShop::SetupTiles()
0013177C CFESShop::Exit()
00131790 CFESShop::Process()
001317F4 CFESShop::Render2D()
00131844 CFESShop::Render2DHUD()

*/

class CFESShop : public CFEScreen {
public:
  CFESShop();          // 001534F8
  ~CFESShop();         // 0013184A
  void Init();         // 00131130
  void SetupTiles();   // 00131164
  void Exit();         // 0013177C
  void Process();      // 00131790
  void Render2D();     // 001317F4
  void Render2DHUD();  // 00131844
};

#endif  //_CFESSHOP_H_